# Generated by Django 5.0.6 on 2024-06-14 21:25

import django.db.models.deletion
import django.utils.timezone
import markdownfield.models
import model_utils.fields
from django.db import migrations, models


class Migration(migrations.Migration):
    initial = True

    dependencies = [
        ("nominate", "0025_merge_0023_finalist_short_name_0024_rank_rank_date"),
    ]

    operations = [
        migrations.CreateModel(
            name="Proposal",
            fields=[
                (
                    "id",
                    models.BigAutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name="ID",
                    ),
                ),
                ("name", models.CharField()),
                (
                    "full_text",
                    markdownfield.models.MarkdownField(
                        rendered_field="rendered_full_text"
                    ),
                ),
                ("rendered_full_text", markdownfield.models.RenderedMarkdownField()),
                (
                    "vote_opens_at",
                    models.DateTimeField(default=django.utils.timezone.now),
                ),
                ("vote_closes_at", models.DateTimeField(blank=True, null=True)),
                ("can_abstain", models.BooleanField(default=False)),
            ],
        ),
        migrations.CreateModel(
            name="Vote",
            fields=[
                (
                    "id",
                    models.BigAutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name="ID",
                    ),
                ),
                (
                    "created",
                    model_utils.fields.AutoCreatedField(
                        default=django.utils.timezone.now,
                        editable=False,
                        verbose_name="created",
                    ),
                ),
                (
                    "modified",
                    model_utils.fields.AutoLastModifiedField(
                        default=django.utils.timezone.now,
                        editable=False,
                        verbose_name="modified",
                    ),
                ),
                (
                    "selection",
                    models.CharField(
                        choices=[("yes", "Yes"), ("no", "No"), ("abstain", "Abstain")],
                        max_length=7,
                    ),
                ),
                (
                    "membership",
                    models.ForeignKey(
                        on_delete=django.db.models.deletion.CASCADE,
                        to="nominate.nominatingmemberprofile",
                    ),
                ),
                (
                    "proposal",
                    models.ForeignKey(
                        on_delete=django.db.models.deletion.CASCADE,
                        to="advise.proposal",
                    ),
                ),
            ],
            options={
                "abstract": False,
            },
        ),
        migrations.CreateModel(
            name="VoteAdminData",
            fields=[
                (
                    "id",
                    models.BigAutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name="ID",
                    ),
                ),
                ("ip_address", models.GenericIPAddressField(blank=True, null=True)),
                ("user_agent", models.TextField(blank=True, null=True)),
                ("invalidated", models.BooleanField(default=False)),
                ("comment", models.TextField(blank=True, null=True)),
                (
                    "vote",
                    models.OneToOneField(
                        on_delete=django.db.models.deletion.CASCADE, to="advise.vote"
                    ),
                ),
            ],
            options={
                "abstract": False,
            },
        ),
    ]
