# Generated by Django 5.1 on 2025-02-07 23:01

import django.db.models.deletion
from django.db import migrations, models


class Migration(migrations.Migration):
    initial = True

    dependencies = [
        ("nominate", "0026_rankadmindata"),
    ]

    operations = [
        migrations.CreateModel(
            name="CanonicalizedNomination",
            fields=[
                (
                    "id",
                    models.BigAutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name="ID",
                    ),
                ),
                (
                    "nomination",
                    models.OneToOneField(
                        on_delete=django.db.models.deletion.CASCADE,
                        to="nominate.nomination",
                    ),
                ),
            ],
        ),
        migrations.CreateModel(
            name="Work",
            fields=[
                (
                    "id",
                    models.BigAutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name="ID",
                    ),
                ),
                ("name", models.CharField(max_length=255)),
                ("notes", models.TextField(blank=True)),
                (
                    "category",
                    models.ForeignKey(
                        on_delete=django.db.models.deletion.PROTECT,
                        to="nominate.category",
                    ),
                ),
                (
                    "nominations",
                    models.ManyToManyField(
                        through="canonicalize.CanonicalizedNomination",
                        to="nominate.nomination",
                    ),
                ),
            ],
        ),
        migrations.AddField(
            model_name="canonicalizednomination",
            name="work",
            field=models.ForeignKey(
                on_delete=django.db.models.deletion.CASCADE, to="canonicalize.work"
            ),
        ),
        migrations.AddConstraint(
            model_name="canonicalizednomination",
            constraint=models.UniqueConstraint(
                fields=("work", "nomination"), name="unique_work_nomination"
            ),
        ),
        migrations.AddConstraint(
            model_name="canonicalizednomination",
            constraint=models.UniqueConstraint(
                fields=("nomination",), name="unique_nomination"
            ),
        ),
    ]
